[lwatch-cvs] files Makefile.am,1.2,1.3 Makefile.in,1.8,1.9 configure,1.6,1.7 configure.ac,1.2,1.3
Brought to you by:
arturcz
|
From: <ar...@us...> - 2003-02-03 00:37:59
|
Update of /cvsroot/lwatch/files
In directory sc8-pr-cvs1:/tmp/cvs-serv4137
Modified Files:
Makefile.am Makefile.in configure configure.ac
Log Message:
- unconditionaly make manual page
Index: Makefile.am
===================================================================
RCS file: /cvsroot/lwatch/files/Makefile.am,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -d -r1.2 -r1.3
*** Makefile.am 28 Jan 2003 23:31:00 -0000 1.2
--- Makefile.am 3 Feb 2003 00:37:55 -0000 1.3
***************
*** 1 ****
! SUBDIRS = src
--- 1 ----
! SUBDIRS = src doc
Index: Makefile.in
===================================================================
RCS file: /cvsroot/lwatch/files/Makefile.in,v
retrieving revision 1.8
retrieving revision 1.9
diff -C2 -d -r1.8 -r1.9
*** Makefile.in 2 Feb 2003 23:30:32 -0000 1.8
--- Makefile.in 3 Feb 2003 00:37:55 -0000 1.9
***************
*** 107,111 ****
sysconfdir = @sysconfdir@
target_alias = @target_alias@
! SUBDIRS = src
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
--- 107,111 ----
sysconfdir = @sysconfdir@
target_alias = @target_alias@
! SUBDIRS = src doc
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Index: configure
===================================================================
RCS file: /cvsroot/lwatch/files/configure,v
retrieving revision 1.6
retrieving revision 1.7
diff -C2 -d -r1.6 -r1.7
*** configure 2 Feb 2003 23:30:33 -0000 1.6
--- configure 3 Feb 2003 00:37:55 -0000 1.7
***************
*** 4041,4045 ****
! #AC_FUNC_REALLOC
echo "$as_me:$LINENO: checking return type of signal handlers" >&5
echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
--- 4041,4261 ----
!
! for ac_header in stdlib.h
! do
! as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
! echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
! echo $ECHO_N "(cached) $ECHO_C" >&6
! fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
! else
! # Is the header compilable?
! echo "$as_me:$LINENO: checking $ac_header usability" >&5
! echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h. */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h. */
! $ac_includes_default
! #include <$ac_header>
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
! (eval $ac_compile) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); } &&
! { ac_try='test -s conftest.$ac_objext'
! { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
! (eval $ac_try) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); }; }; then
! ac_header_compiler=yes
! else
! echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
!
! ac_header_compiler=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
! echo "${ECHO_T}$ac_header_compiler" >&6
!
! # Is the header present?
! echo "$as_me:$LINENO: checking $ac_header presence" >&5
! echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h. */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h. */
! #include <$ac_header>
! _ACEOF
! if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
! (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
! ac_status=$?
! grep -v '^ *+' conftest.er1 >conftest.err
! rm -f conftest.er1
! cat conftest.err >&5
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); } >/dev/null; then
! if test -s conftest.err; then
! ac_cpp_err=$ac_c_preproc_warn_flag
! else
! ac_cpp_err=
! fi
! else
! ac_cpp_err=yes
! fi
! if test -z "$ac_cpp_err"; then
! ac_header_preproc=yes
! else
! echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
!
! ac_header_preproc=no
! fi
! rm -f conftest.err conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
! echo "${ECHO_T}$ac_header_preproc" >&6
!
! # So? What about this header?
! case $ac_header_compiler:$ac_header_preproc in
! yes:no )
! { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
! { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
! (
! cat <<\_ASBOX
! ## ------------------------------------ ##
! ## Report this to bug...@gn.... ##
! ## ------------------------------------ ##
! _ASBOX
! ) |
! sed "s/^/$as_me: WARNING: /" >&2
! ;;
! no:yes )
! { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
! echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
! { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
! echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
! { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
! (
! cat <<\_ASBOX
! ## ------------------------------------ ##
! ## Report this to bug...@gn.... ##
! ## ------------------------------------ ##
! _ASBOX
! ) |
! sed "s/^/$as_me: WARNING: /" >&2
! ;;
! esac
! echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
! echo $ECHO_N "(cached) $ECHO_C" >&6
! else
! eval "$as_ac_Header=$ac_header_preproc"
! fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
!
! fi
! if test `eval echo '${'$as_ac_Header'}'` = yes; then
! cat >>confdefs.h <<_ACEOF
! #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
! _ACEOF
!
! fi
!
! done
!
! echo "$as_me:$LINENO: checking for GNU libc compatible realloc" >&5
! echo $ECHO_N "checking for GNU libc compatible realloc... $ECHO_C" >&6
! if test "${ac_cv_func_realloc_0_nonnull+set}" = set; then
! echo $ECHO_N "(cached) $ECHO_C" >&6
! else
! if test "$cross_compiling" = yes; then
! ac_cv_func_realloc_0_nonnull=no
! else
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h. */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h. */
! #if STDC_HEADERS || HAVE_STDLIB_H
! # include <stdlib.h>
! #else
! char *realloc ();
! #endif
!
! int
! main ()
! {
! exit (realloc (0, 0) ? 0 : 1);
! ;
! return 0;
! }
! _ACEOF
! rm -f conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
! (eval $ac_link) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
! { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
! (eval $ac_try) 2>&5
! ac_status=$?
! echo "$as_me:$LINENO: \$? = $ac_status" >&5
! (exit $ac_status); }; }; then
! ac_cv_func_realloc_0_nonnull=yes
! else
! echo "$as_me: program exited with status $ac_status" >&5
! echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
!
! ( exit $ac_status )
! ac_cv_func_realloc_0_nonnull=no
! fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
! fi
! fi
! echo "$as_me:$LINENO: result: $ac_cv_func_realloc_0_nonnull" >&5
! echo "${ECHO_T}$ac_cv_func_realloc_0_nonnull" >&6
! if test $ac_cv_func_realloc_0_nonnull = yes; then
!
! cat >>confdefs.h <<\_ACEOF
! #define HAVE_REALLOC 1
! _ACEOF
!
! else
! cat >>confdefs.h <<\_ACEOF
! #define HAVE_REALLOC 0
! _ACEOF
!
! LIBOBJS="$LIBOBJS realloc.$ac_objext"
!
! cat >>confdefs.h <<\_ACEOF
! #define realloc rpl_realloc
! _ACEOF
!
! fi
!
!
!
echo "$as_me:$LINENO: checking return type of signal handlers" >&5
echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
***************
*** 4354,4358 ****
! ac_config_files="$ac_config_files src/Makefile Makefile"
cat >confcache <<\_ACEOF
--- 4570,4574 ----
! ac_config_files="$ac_config_files src/Makefile doc/Makefile Makefile"
cat >confcache <<\_ACEOF
***************
*** 4905,4908 ****
--- 5121,5125 ----
# Handling of arguments.
"src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
+ "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
Index: configure.ac
===================================================================
RCS file: /cvsroot/lwatch/files/configure.ac,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -d -r1.2 -r1.3
*** configure.ac 29 Jan 2003 00:37:00 -0000 1.2
--- configure.ac 3 Feb 2003 00:37:55 -0000 1.3
***************
*** 28,36 ****
# Checks for library functions.
AC_FUNC_MALLOC
! #AC_FUNC_REALLOC
AC_TYPE_SIGNAL
AC_FUNC_VPRINTF
AC_CHECK_FUNCS([memset strcasecmp strchr])
! AC_CONFIG_FILES([src/Makefile Makefile])
AC_OUTPUT
--- 28,36 ----
# Checks for library functions.
AC_FUNC_MALLOC
! AC_FUNC_REALLOC
AC_TYPE_SIGNAL
AC_FUNC_VPRINTF
AC_CHECK_FUNCS([memset strcasecmp strchr])
! AC_CONFIG_FILES([src/Makefile doc/Makefile Makefile])
AC_OUTPUT
|